.TH CREATEREFHASHLIST "8" "December 2008" "Maemo Software" "Maemo Software"
.SH NAME
Createrefhashlist \- Create all reference hashes from system directories
.SH SYNOPSIS
.B createrefhashlist
[\fI-n\fR]
[\fI-m methodnumber\fR]
.SH DESCRIPTION
.B Createrefhashlist
is using
.B refhashmake
command to calculate reference hashes from ELF binaries and scripts.
/sbin, /bin, /lib, /usr /etc and /var/dpkg/info directories are scanned.
It is also possible to create a list of files using dpkg database files
by specifying methodnumber to m option. Method 1 will scan pre-defined
directories. Method 2 will check list files in /var/lib/dpkg/info
directory. Method 3 will first generate a list of packagenames and then
use dpkg to list content of each package.
.SH SEE ALSO
.BR refhashmake(8)
.SH FILES
.PP
\fI/etc/refhashlist\fR
.RS 4
The list of reference hashes
.RE
.SH HISTORY
.B createreafhashlist
command utility is part of Aegis security framework.
.SH AVAILABILITY
The createrefhashlist command is part of refhashutils package and
is available from Maemo Software.
